import type { PluginEvents, Options, PluginLifecycle } from './models';
/**
 * The version string
 *
 * @public
 */
export declare const VERSION: string;
/**
 * The namespace that is used to bind functions to DOM events and store the data object
 *
 * @public
 */
export declare const namespace = "spritespin";
/**
 * Event names that are recognized by SpriteSpin. A module can implement any of these and they will be bound
 * to the target element on which the plugin is called.
 *
 * @public
 */
export declare const eventNames: Array<keyof PluginEvents>;
/**
 *
 * @public
 */
export declare const lifecycleNames: Array<keyof PluginLifecycle>;
/**
 * Default set of SpriteSpin options. This also represents the majority of data attributes that are used during the
 * lifetime of a SpriteSpin instance. The data is stored inside the target DOM element on which the plugin is called.
 *
 * @public
 */
export declare const defaults: Options;
//# sourceMappingURL=constants.d.ts.map