import { InstanceState, Options } from './models';
import { Instance } from './instance';
/**
 * Gets an existing spritespin instance for the given element (or selector)
 *
 * @public
 * @param target - The target element
 */
export declare function spritespin(target: HTMLElement | string): Instance;
/**
 * Creates or updates a spritespin instance
 *
 * @public
 * @param options - The create or update options
 */
export declare function spritespin(options: Options): Instance;
/**
 * Creates or updates a spritespin instance
 *
 * @public
 * @param target - The target element
 * @param options - The create or update options
 */
export declare function spritespin(target: HTMLElement | string, option: Partial<Options>): Instance;
/**
 * Destroys a spritespin instance
 *
 * @public
 * @param target - The target element
 * @param options - The action to execute
 */
export declare function spritespin(target: HTMLElement | string, option: 'destroy'): void;
/**
 * Gets a value of an existing spritespin instance
 *
 * @public
 * @param target - The target element
 * @param key - The option key
 */
export declare function spritespin<K extends keyof InstanceState>(target: HTMLElement | string, key: K): InstanceState[K];
/**
 * Updates a value on an existing spritespin instance
 *
 * @public
 * @param target - The target element
 * @param key - The option key
 * @param value - The value to set
 */
export declare function spritespin<K extends keyof InstanceState>(target: HTMLElement | string, key: K, value: InstanceState[K]): Instance;
//# sourceMappingURL=legacy.d.ts.map