/**
 * A loop function that can be started and killed
 *
 * @public
 */
export interface Loop {
    /**
     * Indicates whether the looper is currently active
     */
    isRunning: boolean;
    /**
     * Kills the loop
     */
    kill(): void;
    /**
     * Starts the loop
     */
    (): void;
}
/**
 * Spins the given `update` function in a loop by utilizing `requestAnimationFrame`
 *
 * @public
 * @remarks
 * A primitive loop scheduler with no fixed time support or any optimizations.
 * Simply schedules the given `update` function with `requestAnimationFrame`.
 */
export declare function loop(update: (this: Loop, timestamp?: number, dt?: number) => any): Loop;
//# sourceMappingURL=looper.d.ts.map