/**
 *
 */
export interface MeasureSheetOptions {
    frames?: number;
    framesX?: number;
    framesY?: number;
    detectSubsampling?: boolean;
}
/**
 *
 */
export interface SheetSpec {
    id: number;
    width: number;
    height: number;
    sprites: SpriteSpec[];
    sampledWidth?: number;
    sampledHeight?: number;
    isSubsampled?: boolean;
}
/**
 *
 */
export interface SpriteSpec {
    id: number;
    x: number;
    y: number;
    width: number;
    height: number;
    sampledX?: number;
    sampledY?: number;
    sampledWidth?: number;
    sampledHeight?: number;
}
/**
 * Measures the image frames that are used in the given data object
 */
export declare function measure(images: HTMLImageElement[], options: MeasureSheetOptions): SheetSpec[];
export declare function findSpecs(metrics: SheetSpec[], frames: number, frame: number, lane: number): {
    sprite: SpriteSpec;
    sheet: SheetSpec;
};
//# sourceMappingURL=measure.d.ts.map