export declare function noop(): void;
export declare function findIndex<T>(arr: T[], fn: (it: T, i: number, arr: T[]) => boolean): number;
export declare function getElement(target: HTMLElement | string): HTMLElement;
export declare const log: (message?: any, ...optionalParams: any[]) => void;
export declare const warn: (message?: any, ...optionalParams: any[]) => void;
export declare const error: (message?: any, ...optionalParams: any[]) => void;
export declare function getOption<T, K extends keyof T>(data: T, name: K, fallback: T[K]): T[K];
export declare function toArray<T>(value: T | T[]): T[];
export declare function addEventListener(target: EventTarget, name: string, handler: EventListener, options?: boolean | AddEventListenerOptions): () => void;
export declare type DestructorFn = () => void;
export declare type Destructor = DestructorFn & {
    add: (fn: DestructorFn) => void;
    addEventListener: typeof addEventListener;
};
export declare function destructor(list?: DestructorFn[]): Destructor;
/**
 * clamps the given value by the given min and max values
 */
export declare function clamp(value: number, min: number, max: number): number;
/**
 *
 */
export declare function wrap(value: number, min: number, max: number, size: number): number;
export declare function pixelRatio(context: CanvasRenderingContext2D): number;
export declare function innerWidth(el: Window | Document | Element): number;
export declare function innerHeight(el: Window | Document | Element): number;
/**
 * Sets CSS properties of the given element
 *
 * @remarks
 * numeric values are assumed to be pixel values. Numbers must be passed as strings
 * to avoid the 'px' suffix
 *
 * @param el - The element
 * @param style - The style sheet
 */
export declare function css(el: HTMLElement, style: {
    [key: string]: string | number;
}): void;
export declare function createElement(name: string, options: {
    id?: string;
    class?: string;
}): HTMLElement;
export declare function isVisible(el: HTMLElement): boolean;
export declare function hide(el: HTMLElement): void;
export declare function show(el: HTMLElement): void;
export declare function fadeTo(el: HTMLElement, opacity: number, options?: {
    duration?: number;
}): void;
export declare function fadeOut(el: HTMLElement, options?: {
    duration: number;
    cb?: Function;
}): void;
export declare function fadeIn(el: HTMLElement, options?: {
    duration: number;
    cb?: Function;
}): void;
export declare function offset(el: HTMLElement): {
    top: number;
    left: number;
};
//# sourceMappingURL=utils.d.ts.map